Salesforce connection using TLS 1.1 or 1.2

Salesforce connection using TLS 1.1 or 1.2

Postby gtfarrar » Fri 11 Nov 2016 19:06

I have been trying to establish a connection to our Salesforce sandbox using the "Devart Connection Manager for Salesforce connections" connector and receive the following error within SSIS (MS VS 2013):

TLS 1.0 has been disabled in this organization. Please use TLS 1.1 or higher when connecting to Salesforce using https.

I have updated the .NET Framework to 4.6.1 which was targeted at the time the project was created. I have had TLS 1.1 and 1.2 enabled for IE and still receive the error. This does not occur when connecting to our production instance of Salesforce, but will early next year when TLS 1.0 is disabled in production. I am obviously missing something and greatly appreciate any assistance resolving this issue.
gtfarrar
 
Posts: 1
Joined: Fri 11 Nov 2016 18:54

Re: Salesforce connection using TLS 1.1 or 1.2

Postby Shalex » Thu 17 Nov 2016 12:37

Usage of TLS 1.0 is not hardcoded in the current version of Devart SSIS Data Flow Components. If necessary, please change the registry on the workstation where you are running your SSIS package like described at https://help.salesforce.com/apex/HTViewSolution?id=000221207 > the .NET section.
Shalex
Devart Team
 
Posts: 7789
Joined: Thu 14 Aug 2008 12:44


Return to SSIS Data Flow Components